# atomicfwd_c.h File Reference

Go to the source code of this file.

## Defines

- #define _ATOMIC_MEMBER_
- #define atomic_compare_exchange(__a, __e, __m)
- #define atomic_compare_exchange_explicit(__a, __e, __m, __x, __y)
- #define atomic_exchange(__a, __m)
- #define atomic_exchange_explicit(__a, __m, __x)
- #define atomic_fetch_add(__a, __m)
- #define atomic_fetch_add_explicit(__a, __m, __x)
- #define atomic_fetch_and(__a, __m)
- #define atomic_fetch_and_explicit(__a, __m, __x)
- #define atomic_fetch_or(__a, __m)
- #define atomic_fetch_or_explicit(__a, __m, __x)
- #define atomic_fetch_sub(__a, __m)
- #define atomic_fetch_sub_explicit(__a, __m, __x)
- #define atomic_fetch_xor(__a, __m)
- #define atomic_fetch_xor_explicit(__a, __m, __x)
- #define atomic_is_lock_free(__a)
- #define atomic_load(__a)
- #define atomic_load_explicit(__a, __x)
- #define atomic_store(__a, __m)
- #define atomic_store_explicit(__a, __m, __x)

## Typedefs

- typedef struct
  __atomic_address_base atomic_address
- typedef struct __atomic_bool_base atomic_bool
- typedef struct __atomic_char_base atomic_char
- typedef struct __atomic_short_base atomic_char16_t
- typedef struct __atomic_int_base atomic_char32_t
- typedef struct __atomic_flag_base atomic_flag
- typedef struct __atomic_int_base atomic_int
- typedef struct __atomic_llong_base atomic_llong
- typedef struct __atomic_long_base atomic_long
- typedef struct __atomic_schar_base atomic_schar
- typedef struct __atomic_short_base atomic_short
- typedef struct __atomic_uchar_base atomic_uchar
- typedef struct __atomic_uint_base atomic_uint
- typedef struct __atomic_ullong_base atomic_ullong
- typedef struct __atomic_ulong_base atomic_ulong
- typedef struct __atomic_ushort_base atomic_ushort
- typedef struct
  __atomic_wchar_t_base atomic_wchar_t

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file atomicfwd_c.h.